Subject: bug#16526: 24.3.50; scroll-conservatively & c-mode regression

From: Stefan Monnier <[email-masked]>
Date: Fri, 04 Jul 2014 22:23:07 -0400

> OK, the initialization needs to be after the "lossage:" label,
> of course.  Try the patch below instead,

Well, I installed the patch since it does speed up my test case
noticeably (M-> followed by <prior> <prior> in src/xdisp.c).

I do have a question about open-paren-in-column-0-is-defun-start: why do
you let-bind it at various places instead of setting it buffer-locally
once and for all.
I see you had such a buffer-local setting but that you commented it out
in 2006/12/17.  Do you remember what was the reason for it?

>From my naive point of view a buffer-local setting would not only be
simpler but would also be better for the user who could more easily set
it back to non-nil if she wanted to.

        Stefan